Page MenuHomePhabricator

Clicktracking breaks thanks button
Closed, ResolvedPublic

Description

Thank is broken on diff page: please fix ASAP as it is breaking the feature. When I click

Uncaught Error: Invalid schema "diff-thank". Possible values are: "Watchlist", "Diff", "MainMenu", "UI".

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: Readers-Web-Backlog.
Jdlrobson changed Security from none to None.
Jdlrobson added a subscriber: Jdlrobson.

I'm not able to reproduce this. I can't even find the phrase "diff-thank" in the codebase. Can you help me debug this please? THanks

@bmansurov I suspect it's in Thanks extension since that's what provides the thanks functionality...

Jdlrobson edited projects, added Thanks; removed Notifications.Dec 12 2014, 2:20 AM

@Jdlrobson The call is in Thanks. However, it's caused by rEMFR9bfa2dec337d: EventLogging: break up MobileWebClickTracking, which refactored the logging code, but didn't update this call.

Mattflaschen-WMF triaged this task as Unbreak Now! priority.Dec 12 2014, 3:36 AM

Change 179409 had a related patch set uploaded (by Florianschmidtwelzow):
Match changed MobileWebClickingSchema

https://gerrit.wikimedia.org/r/179409

Patch-For-Review

Change 179409 merged by jenkins-bot:
Match changed MobileWebClickingSchema

https://gerrit.wikimedia.org/r/179409

Florian closed this task as Resolved.Dec 12 2014, 8:13 AM
Florian claimed this task.

Thanks Florian. I'll remember to update the Thanks extension in the future.

Maybe a good point to add a comment to our code like:

// Note: If you change something here, make sure, that you change it in other mobile related extensions, too (e.g. Thanks)!

???

Yeh any kind of clues like that would be a good idea. JDI :)

Jdlrobson reopened this task as Open.Dec 12 2014, 7:02 PM

Still broken. It logs an event to diff-thank when it should actually be thank according to 10720373

Change 179521 had a related patch set uploaded (by Bmansurov):
Match changed MobileWebClickingSchema

https://gerrit.wikimedia.org/r/179521

Patch-For-Review

Change 179521 merged by jenkins-bot:
Match changed MobileWebClickingSchema

https://gerrit.wikimedia.org/r/179521

Florian closed this task as Resolved.Dec 14 2014, 10:19 PM

Now it is fixed (as far is i can see on betalabs).

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 7 2018, 4:35 AM
Restricted Application added a subscriber: TerraCodes. · View Herald Transcript